<?php
/**
 * Displays content for front page
 *
 * @package Simple Days
 * @since 0.0.1
 * @version 0.0.3
 */


$date_format = get_theme_mod( 'simple_days_top_date_format','1');
$date_wrap = (get_theme_mod( 'simple_days_top_date_wrap','1') == '1' ? '' : ' post_date_square');
?>
      <header class="post_header">
        <?php get_template_part( 'inc/header_meta','microdata' );?>
      </header>
      <div class="post_card">
        <div class="post_card_thumbnail">
        	<?php if(is_sticky())echo '<span class="sticky_icon"></span><i class="icon-pushpin"></i>';?>
          <a href="<?php the_permalink(); ?>" class="fit_box_img_wrap post_card_thumbnail_img">
            <?php
             if(!has_post_thumbnail()) {
               $output = preg_match_all("/<img[^>]+src=[\"'](s?https?:\/\/[\-_\.!~\*'()a-z0-9;\/\?:@&=\+\$,%#]+\.(jpg|jpeg|png|gif))[\"'][^>]+>/i", $post->post_content, $matches);
               if(isset($matches [1] [0])){
                 echo '<'.( (is_amp() )?'amp-img layout="responsive"':'img').' src="'. esc_url($matches [1] [0]) .'" width="640" height="480" alt="'.get_the_title().'" />';
               }else{
                 echo '<'.( (is_amp()) ?'amp-img layout="responsive"':'img').' src="'. esc_url(get_template_directory_uri()) .'/assets/images/no_image.png" width="640" height="480" alt="No image available" />';
               }
             }else{
               //the_post_thumbnail(array(640, 480));
               $thumurl = wp_get_attachment_image_src( get_post_thumbnail_id() , 'medium' );
               echo '<'.( (is_amp() )?'amp-img layout="responsive"':'img').' src="'.esc_url($thumurl[0]).'"  width="'.esc_attr($thumurl[1]).'" height="'.esc_attr($thumurl[2]).'" alt="'.get_the_title().'" title="'.get_the_title().'" />';
             } ?>
          </a>
          <?php $category = get_the_category();
          if(!empty($category)){
          echo '<a href="' . esc_url(get_category_link( $category[0]->term_id )) . '" class="post_card_category">' . esc_html($category[0]->cat_name) . '</a>'; } ?>
          <div class="post_card_date">
            <div class="post_date_wrap">
              <div class="post_date_circle<?php echo esc_attr($date_wrap); ?>">
                <?php if($date_format == "1" ){ ?>
                <span class="day"><?php echo esc_html(get_the_time('j')); ?></span>
                <span class="month"><?php echo esc_html(get_the_time('M')); ?></span>
                <?php }else{ ?>
                <span class="month"><?php echo esc_html(get_the_time('M')); ?></span>
                <span class="day"><?php echo esc_html(get_the_time('j')); ?></span>
                <?php } ?>
                <span class="year"><?php echo esc_html(get_the_time('Y')); ?></span>
              </div>
            </div>
          </div>
        </div>

        <div class="post_card_entry_meta">
         	<div class="post_card_entry_title_wrap">
              <h2 class="post_card_entry_title"><a href="<?php the_permalink(); ?>" class="entry_title" title="<?php the_title(); ?>"><?php echo esc_attr(mb_strimwidth(get_the_title(), 0, 44 ,'&hellip;')); ?></a></h2>
          </div>
          <div class="summary">
            <?php the_excerpt(); ?>
          </div>
        </div>
      </div>
